<div class="container">
  <p id="intro">
    Dieses interaktive Element visualisiert die Schritte, die vollzogen werden m&uuml;ssen, um ein
    Entity-Relationship-Modell in das zugehörige Relationenmodell zu &uuml;berf&uuml;hren.
  </p>
  <div id="stufe0" class="stufe">
    <div class="div1">
      <div class="stufe-text">
        <h3 id="anzeige" >1. Tabellen erstellen</h3>
        Zuerst m&uuml;ssen die Tabellen erstellt werden.
        <ul class="ovk-bullet-list">
          <li>Jeder Entit&auml;tstyp erh&auml;lt seine eigene Tabelle.</li>
          <li>Jeder Beziehungstyp mit eigenen Attributen erh&auml;lt seine eigene Tabelle.</li>
        </ul>
      </div>
      <div class="card ovk-aufgabe">
        <div class="card-header">
          W&auml;hle durch Anklicken die Entit&auml;tstypen aus, um eine Tabelle zu erstellen.
        </div>
      </div>
    </div>
  </div>
  <div id="stufe1" class="stufe" style="display: none;">
    <div class="stufe-text">
      <h3 id="anzeige" >2. Attribute eintragen</h3>
      <p>Die Attribute der jeweiligen Entit&auml;t werden nun in die Tabelle eingetragen.</p>
    </div>
    <div class="card ovk-aufgabe">
      <div class="card-header">
        F&uuml;ge die Attribute durch Antippen hinzu.
      </div>
    </div>
  </div>
  <div id="stufe2" class="stufe" style="display: none;">
    <div class="stufe-text">
      <h3 id="anzeige" >3. Primärschlüssel kennzeichnen</h3>
      <p>Als n&auml;chstes werden die Prim&auml;rschl&uuml;ssel in der Tabelle hervorgehoben.</p>
    </div>
    <div class="card ovk-aufgabe">
      <div class="card-header">
        F&uuml;ge die Prim&auml;rschl&uuml;ssel durch Antippen hinzu.
      </div>
    </div>
  </div>
  <div id="stufe3" class="stufe" style="display: none;">
    <div class="stufe-text">
      <h3 id="anzeige" >4. Fremdschlüssel kennzeichnen 1:N</h3>
      <p>Die Fremdschl&uuml;ssel sind abh&auml;ngig von dem jeweiligen Beziehungstyp:<br />
        Bei einer <b>1:N-Beziehung</b> wird der Prim&auml;rschl&uuml;ssel der <b>1</b>-Seite der Tabelle der <b>N</b>-Seite als
        Fremdschl&uuml;ssel hinzugef&uuml;gt.
      </p>
    </div>
    <div class="card ovk-aufgabe">
      <div class="card-header">
        F&uuml;ge den Fremdschl&uuml;ssel durch Klicken hinzu.
      </div>
    </div>
  </div>
  <div id="stufe4" class="stufe" style="display: none;">
    <div class="stufe-text">
      <h3 id="anzeige">5. Datentypen bestimmten</h3>
      <p>Dieses Modell beinhaltet keine N:M-Beziehungen, daher folgt nun der letzte Schritt, das Bestimmen der Datentypen f&uuml;r alle Attribute.</p>
    </div>
    <div class="card ovk-aufgabe">
      <div class="card-header">
          <p>
            <button id="show_types" class="btn btn-secondary btn-sm"><strong>👁&nbsp;&nbsp;</strong>Datentypen
            anzeigen</button>
          </p>
      </div>
    </div>
  </div>
  <div id="stufe5" class="stufe" style="display: none;">
    <div class="stufe-text">
      <p>Nun ist das Entity-Relationshop-Modell vollst&auml;ndig in ein Relationenmodell &uuml;berf&uuml;hrt.</p>
    </div>
    <div class="card ovk-aufgabe">
      <div class="card-header hidden"></div>
    </div>
  </div>

  <div class=" interactive">
    <div id="interaction"
      style="background-color: #fff; margin: 0 auto; border:1px solid #AAA; padding: 0.5em; min-width: 250px;">
      <div id="button-area">
        <button id="reset" class="btn btn-secondary btn-sm" style="float: right;">Zurücksetzen</button>
      </div>
      <svg id="svg_elements" width="100%" viewBox="31 280 903 280" xmlns="http://www.w3.org/2000/svg"
        xmlns:xlink="http://www.w3.org/1999/xlink">
        <g id='entity_art'>
          <rect class="ovk-svg-graphics entity" x="591.45" y="338" width="81.9" height="36"></rect>
          <text font-size="12.8" class="er-text-title" x="632.4" y="360">
            Kunstwerk
          </text>
        </g>
        <g id="entity_museum">
          <rect class="ovk-svg-graphics entity" x="320.05" y="339" width="74.2" height="36"></rect>
          <text font-size="12.8" class="er-text-title" x="357.15" y="361">
            Museum
          </text>
        </g>

        <g>
          <polygon class="ovk-svg-graphics relationship"
            points="422.274,356.44 479.674,322 537.074,356.44 479.674,390.88"></polygon>
          <text font-size="11.2889" class="er-text" x="416.274" y="350.44">
            1
          </text>
          <text font-size="11.2889" class="er-text" x="543.074" y="350.44">
            n
          </text>
          <text font-size="11.2889" class="er-text-title" x="479.674" y="359.968">
            stellt aus
          </text>
        </g>
    
        <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="394.25" y1="357" x2="421.268"
          y2="356.823"></line>
        <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="537.074" y1="356.44" x2="590.451"
          y2="356.194"></line>

        <g id='attribut_museum_number'>
          <ellipse class="ovk-svg-graphics attribut" cx="274.15" cy="299" rx="43.1" ry="18"></ellipse>
          <text font-size="12.8" class="er-text-title" x="274.15" y="303">
            MuseumsNr
          </text>
          <line class="er-line" x1="251.05" y1="307" x2="297.25" y2="307"></line>
        </g>
        <g id="attr_title">
          <ellipse class="ovk-svg-graphics attribut" cx="405.9" cy="299" rx="73.9" ry="18">
          </ellipse>
          <text font-size="12.8" class="er-text-title" x="405.9" y="303">
            Bezeichnung
          </text>
        </g>
        <g id="attr_address">
          <ellipse class="ovk-svg-graphics attribut" cx="357.15" cy="408" rx="70.05" ry="18"></ellipse>
          <text font-size="12.8" class="er-text-title" x="357.15" y="412">
            Adresse
          </text>
        </g>
        <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="274.15" y1="317" x2="319.044"
          y2="338.636"></line>
        <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="390.451" y1="317.38" x2="373.11"
          y2="338.011"></line>
        <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="357.15" y1="389.012" x2="357.15"
          y2="375.988"></line>
        
        <g id="attr_art_number">
          <ellipse class="ovk-svg-graphics attribut" cx="578.4" cy="299" rx="58.5" ry="18"></ellipse>
          <text font-size="12.8" class="er-text-title" x="578.4" y="303">
            KunstwerkNr
          </text>
          <line class="er-line" x1="539.9" y1="307" x2="616.9" y2="307"></line>
        </g>
        <g id="attr_artist">
          <ellipse class="ovk-svg-graphics attribut" cx="698.4" cy="299" rx="35.4" ry="18"></ellipse>
          <text font-size="12.8" class="er-text-title" x="698.4" y="303">
            Künstler
          </text>
        </g>
        <g id="attr_art_title">
          <ellipse class="ovk-svg-graphics attribut" cx="635.4" cy="410" rx="66.2" ry="18"></ellipse>
          <text font-size="12.8" class="er-text-title" x="635.4" y="414">
            Name
          </text>
        </g>
        <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="595.446" y1="316.993" x2="614.404"
          y2="337.005"></line>
        <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="679.692" y1="315.156" x2="654.395"
          y2="337.005"></line>
        <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="634.345" y1="391.002" x2="633.455"
          y2="374.998"></line>
        
        
        <g id="tab_museum" style="display: none;">
          <rect style="fill: #ffffff; stroke-width: 2; stroke: #000000" x="282.7" y="458" width="156.9" height="18">
          </rect>
          <text font-size="11.2" class="er-text-title" x="361.15" y="472">
            Museum
          </text>
          <rect style="fill: #ffffff; stroke-width: 2; stroke: #000000" x="282.7" y="476" width="156.9" height="52">
          </rect>
          <text id="tab_attr_museum_number" style="display: none;" font-size="12.8" class="er-text" x="291.7" y="492">
            MuseumsNr
          </text>
          <text style="display: none;" font-size="12.8" class="er-text" x="405.5" y="492" id="dat_museum_number">
            Zahl
          </text>
          <line id="prim_museum_number" style="display: none; fill: none; fill-opacity:0; stroke-width: 1; stroke: #000000"
            x1="291.7" y1="493.6" x2="433.9" y2="493.6"></line>
          <text style="display: none;" font-size="12.8" class="er-text" x="291.7" y="508" id="tab_attr_title">
            Bezeichnung
          </text>
          <text style="display: none;" font-size="12.8" class="er-text" x="405.5" y="508" id="dat_title">
            Text
          </text>
          <text style="display: none;" font-size="12.8" class="er-text" x="291.7" y="524" id="tab_attr_address">
            Adresse
          </text>
          <text style="display: none;" font-size="12.8" class="er-text" x="405.5" y="524" id="dat_address">
            Text
          </text>
        </g>
        <g id="tab_art" style="display: none;">
          <rect style="fill: #ffffff; stroke-width: 2; stroke: #000000" x="552" y="458" width="164.6" height="18">
          </rect>
          <text font-size="11.2" class="er-text-title" x="634.3" y="472">
            Kunstwerk
          </text>
          <rect style="fill: #ffffff; stroke-width: 2; stroke: #000000" x="552" y="476" width="164.6" height="83">
          </rect>
          <text style="display: none;" font-size="12.8" class="er-text" x="561" y="492" id="tab_attr_art_number">
            KunstwerkNr
          </text>
          <text style="display: none;" font-size="12.8" class="er-text" x="671.1" y="492" id="dat_art_number">
            Zahl
          </text>
          <line id="prim_art_number" style="display: none; fill: none; fill-opacity:0; stroke-width: 1; stroke: #000000" x1="561" y1="493.6" x2="699.5"
            y2="493.6"></line>
          <text style="display: none;" font-size="12.8" class="er-text" x="561" y="508" id="tab_attr_fremd_museum_number">
            MuseumsNr
          </text>
          <text style="display: none;" font-size="12.8" class="er-text" x="671.1" y="508" id="dat_fremd_museum_number">
            Zahl
          </text>
          <text style="display: none;" font-size="12.8" class="er-text" x="561" y="524" id="tab_attr_art_title">
            Name
          </text>
          <text style="display: none;" font-size="12.8" class="er-text" x="671.1" y="524" id="dat_art_title">
            Text
          </text>
          <text style="display: none;" font-size="12.8" class="er-text" x="561" y="540" id="tab_attr_artist_name">
            K_Vorname
          </text>
          <text style="display: none;" font-size="12.8" class="er-text" x="671.1" y="540" id="dat_artist_name">
            Text
          </text>
          <text style="display: none;" font-size="12.8" class="er-text" x="561" y="556" id="tab_attr_artist_surname">
            K_Nachname
          </text>
          <text style="display: none;" font-size="12.8" class="er-text" x="671.1" y="556" id="dat_artist_surname">
            Text
          </text>
        </g>
        <g>
          <polyline id="fremd_line1" style="display: none;"
            style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000"
            points="439.6,486 495.8,486 495.8,502 552,502 "></polyline>
          <text style="display: none;" font-size="9.6"
            style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="443.6"
            y="482" id="rel3a">
            1
          </text>
          <text style="display: none;" font-size="9.6"
            style="fill: #000000;text-anchor:end;font-family:monospace;font-style:normal;font-weight:normal" x="548"
            y="498" id="rel3b">
            n
          </text>
        </g>
      </svg>
    </div>
    <div class="interactiveOverlay"></div>
  </div>
</div>